xref: /freebsd/contrib/expat/doc/Makefile.in (revision e0c4386e)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2022 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017      Stephen Groat <stephen@groat.us>
27# Copyright (c) 2017      Joe Orton <jorton@redhat.com>
28# Licensed under the MIT license:
29#
30# Permission is  hereby granted,  free of charge,  to any  person obtaining
31# a  copy  of  this  software   and  associated  documentation  files  (the
32# "Software"),  to  deal in  the  Software  without restriction,  including
33# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
34# distribute, sublicense, and/or sell copies of the Software, and to permit
35# persons  to whom  the Software  is  furnished to  do so,  subject to  the
36# following conditions:
37#
38# The above copyright  notice and this permission notice  shall be included
39# in all copies or substantial portions of the Software.
40#
41# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
42# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
43# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
44# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
45# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
46# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
47# USE OR OTHER DEALINGS IN THE SOFTWARE.
48VPATH = @srcdir@
49am__is_gnu_make = { \
50  if test -z '$(MAKELEVEL)'; then \
51    false; \
52  elif test -n '$(MAKE_HOST)'; then \
53    true; \
54  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
55    true; \
56  else \
57    false; \
58  fi; \
59}
60am__make_running_with_option = \
61  case $${target_option-} in \
62      ?) ;; \
63      *) echo "am__make_running_with_option: internal error: invalid" \
64              "target option '$${target_option-}' specified" >&2; \
65         exit 1;; \
66  esac; \
67  has_opt=no; \
68  sane_makeflags=$$MAKEFLAGS; \
69  if $(am__is_gnu_make); then \
70    sane_makeflags=$$MFLAGS; \
71  else \
72    case $$MAKEFLAGS in \
73      *\\[\ \	]*) \
74        bs=\\; \
75        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
76          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
77    esac; \
78  fi; \
79  skip_next=no; \
80  strip_trailopt () \
81  { \
82    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
83  }; \
84  for flg in $$sane_makeflags; do \
85    test $$skip_next = yes && { skip_next=no; continue; }; \
86    case $$flg in \
87      *=*|--*) continue;; \
88        -*I) strip_trailopt 'I'; skip_next=yes;; \
89      -*I?*) strip_trailopt 'I';; \
90        -*O) strip_trailopt 'O'; skip_next=yes;; \
91      -*O?*) strip_trailopt 'O';; \
92        -*l) strip_trailopt 'l'; skip_next=yes;; \
93      -*l?*) strip_trailopt 'l';; \
94      -[dEDm]) skip_next=yes;; \
95      -[JT]) skip_next=yes;; \
96    esac; \
97    case $$flg in \
98      *$$target_option*) has_opt=yes; break;; \
99    esac; \
100  done; \
101  test $$has_opt = yes
102am__make_dryrun = (target_option=n; $(am__make_running_with_option))
103am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
104pkgdatadir = $(datadir)/@PACKAGE@
105pkgincludedir = $(includedir)/@PACKAGE@
106pkglibdir = $(libdir)/@PACKAGE@
107pkglibexecdir = $(libexecdir)/@PACKAGE@
108am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109install_sh_DATA = $(install_sh) -c -m 644
110install_sh_PROGRAM = $(install_sh) -c
111install_sh_SCRIPT = $(install_sh) -c
112INSTALL_HEADER = $(INSTALL_DATA)
113transform = $(program_transform_name)
114NORMAL_INSTALL = :
115PRE_INSTALL = :
116POST_INSTALL = :
117NORMAL_UNINSTALL = :
118PRE_UNINSTALL = :
119POST_UNINSTALL = :
120build_triplet = @build@
121host_triplet = @host@
122subdir = doc
123ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
124am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
125	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
126	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
127	$(top_srcdir)/acinclude.m4 \
128	$(top_srcdir)/conftools/ax-require-defined.m4 \
129	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
130	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
131	$(top_srcdir)/conftools/ax-append-flag.m4 \
132	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
133	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
134	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
135	$(top_srcdir)/configure.ac
136am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
137	$(ACLOCAL_M4)
138DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
139mkinstalldirs = $(install_sh) -d
140CONFIG_HEADER = $(top_builddir)/expat_config.h
141CONFIG_CLEAN_FILES =
142CONFIG_CLEAN_VPATH_FILES =
143AM_V_P = $(am__v_P_@AM_V@)
144am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
145am__v_P_0 = false
146am__v_P_1 = :
147AM_V_GEN = $(am__v_GEN_@AM_V@)
148am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
149am__v_GEN_0 = @echo "  GEN     " $@;
150am__v_GEN_1 =
151AM_V_at = $(am__v_at_@AM_V@)
152am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
153am__v_at_0 = @
154am__v_at_1 =
155SOURCES =
156DIST_SOURCES =
157am__can_run_installinfo = \
158  case $$AM_UPDATE_INFO_DIR in \
159    n|no|NO) false;; \
160    *) (install-info --version) >/dev/null 2>&1;; \
161  esac
162am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
163am__vpath_adj = case $$p in \
164    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
165    *) f=$$p;; \
166  esac;
167am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
168am__install_max = 40
169am__nobase_strip_setup = \
170  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
171am__nobase_strip = \
172  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
173am__nobase_list = $(am__nobase_strip_setup); \
174  for p in $$list; do echo "$$p $$p"; done | \
175  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
176  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
177    if (++n[$$2] == $(am__install_max)) \
178      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
179    END { for (dir in files) print dir, files[dir] }'
180am__base_list = \
181  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
182  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
183am__uninstall_files_from_dir = { \
184  test -z "$$files" \
185    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
186    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
187         $(am__cd) "$$dir" && rm -f $$files; }; \
188  }
189man1dir = $(mandir)/man1
190am__installdirs = "$(DESTDIR)$(man1dir)"
191NROFF = nroff
192MANS = $(dist_man_MANS)
193am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
194am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in
195DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
196ACLOCAL = @ACLOCAL@
197AMTAR = @AMTAR@
198AM_CFLAGS = @AM_CFLAGS@
199AM_CPPFLAGS = @AM_CPPFLAGS@
200AM_CXXFLAGS = @AM_CXXFLAGS@
201AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
202AM_LDFLAGS = @AM_LDFLAGS@
203AR = @AR@
204AS = @AS@
205AUTOCONF = @AUTOCONF@
206AUTOHEADER = @AUTOHEADER@
207AUTOMAKE = @AUTOMAKE@
208AWK = @AWK@
209CC = @CC@
210CCDEPMODE = @CCDEPMODE@
211CFLAGS = @CFLAGS@
212CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
213CPPFLAGS = @CPPFLAGS@
214CSCOPE = @CSCOPE@
215CTAGS = @CTAGS@
216CXX = @CXX@
217CXXCPP = @CXXCPP@
218CXXDEPMODE = @CXXDEPMODE@
219CXXFLAGS = @CXXFLAGS@
220CYGPATH_W = @CYGPATH_W@
221DEFS = @DEFS@
222DEPDIR = @DEPDIR@
223DLLTOOL = @DLLTOOL@
224DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
225DSYMUTIL = @DSYMUTIL@
226DUMPBIN = @DUMPBIN@
227ECHO_C = @ECHO_C@
228ECHO_N = @ECHO_N@
229ECHO_T = @ECHO_T@
230EGREP = @EGREP@
231ETAGS = @ETAGS@
232EXEEXT = @EXEEXT@
233EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
234EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
235EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
236EXPAT_DTD = @EXPAT_DTD@
237EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
238EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
239EXPAT_NS = @EXPAT_NS@
240FGREP = @FGREP@
241FILECMD = @FILECMD@
242FILEMAP = @FILEMAP@
243GREP = @GREP@
244INSTALL = @INSTALL@
245INSTALL_DATA = @INSTALL_DATA@
246INSTALL_PROGRAM = @INSTALL_PROGRAM@
247INSTALL_SCRIPT = @INSTALL_SCRIPT@
248INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
249LD = @LD@
250LDFLAGS = @LDFLAGS@
251LIBAGE = @LIBAGE@
252LIBCURRENT = @LIBCURRENT@
253LIBDIR_BASENAME = @LIBDIR_BASENAME@
254LIBM = @LIBM@
255LIBOBJS = @LIBOBJS@
256LIBREVISION = @LIBREVISION@
257LIBS = @LIBS@
258LIBTOOL = @LIBTOOL@
259LIPO = @LIPO@
260LN_S = @LN_S@
261LTLIBOBJS = @LTLIBOBJS@
262LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
263MAKEINFO = @MAKEINFO@
264MANIFEST_TOOL = @MANIFEST_TOOL@
265MKDIR_P = @MKDIR_P@
266NM = @NM@
267NMEDIT = @NMEDIT@
268OBJDUMP = @OBJDUMP@
269OBJEXT = @OBJEXT@
270OTOOL = @OTOOL@
271OTOOL64 = @OTOOL64@
272PACKAGE = @PACKAGE@
273PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
274PACKAGE_NAME = @PACKAGE_NAME@
275PACKAGE_STRING = @PACKAGE_STRING@
276PACKAGE_TARNAME = @PACKAGE_TARNAME@
277PACKAGE_URL = @PACKAGE_URL@
278PACKAGE_VERSION = @PACKAGE_VERSION@
279PATH_SEPARATOR = @PATH_SEPARATOR@
280RANLIB = @RANLIB@
281SED = @SED@
282SET_MAKE = @SET_MAKE@
283SHELL = @SHELL@
284SO_MAJOR = @SO_MAJOR@
285SO_MINOR = @SO_MINOR@
286SO_PATCH = @SO_PATCH@
287STRIP = @STRIP@
288VERSION = @VERSION@
289abs_builddir = @abs_builddir@
290abs_srcdir = @abs_srcdir@
291abs_top_builddir = @abs_top_builddir@
292abs_top_srcdir = @abs_top_srcdir@
293ac_ct_AR = @ac_ct_AR@
294ac_ct_CC = @ac_ct_CC@
295ac_ct_CXX = @ac_ct_CXX@
296ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
297ac_cv_sizeof_void_p = @ac_cv_sizeof_void_p@
298am__include = @am__include@
299am__leading_dot = @am__leading_dot@
300am__quote = @am__quote@
301am__tar = @am__tar@
302am__untar = @am__untar@
303bindir = @bindir@
304build = @build@
305build_alias = @build_alias@
306build_cpu = @build_cpu@
307build_os = @build_os@
308build_vendor = @build_vendor@
309builddir = @builddir@
310datadir = @datadir@
311datarootdir = @datarootdir@
312docdir = @docdir@
313dvidir = @dvidir@
314exec_prefix = @exec_prefix@
315host = @host@
316host_alias = @host_alias@
317host_cpu = @host_cpu@
318host_os = @host_os@
319host_vendor = @host_vendor@
320htmldir = @htmldir@
321includedir = @includedir@
322infodir = @infodir@
323install_sh = @install_sh@
324libdir = @libdir@
325libexecdir = @libexecdir@
326localedir = @localedir@
327localstatedir = @localstatedir@
328mandir = @mandir@
329mkdir_p = @mkdir_p@
330oldincludedir = @oldincludedir@
331pdfdir = @pdfdir@
332prefix = @prefix@
333program_transform_name = @program_transform_name@
334psdir = @psdir@
335runstatedir = @runstatedir@
336sbindir = @sbindir@
337sharedstatedir = @sharedstatedir@
338srcdir = @srcdir@
339sysconfdir = @sysconfdir@
340target_alias = @target_alias@
341top_build_prefix = @top_build_prefix@
342top_builddir = @top_builddir@
343top_srcdir = @top_srcdir@
344@WITH_DOCBOOK_TRUE@dist_man_MANS = xmlwf.1
345EXTRA_DIST = \
346    ok.min.css \
347    reference.html \
348    style.css \
349    xmlwf.xml
350
351all: all-am
352
353.SUFFIXES:
354$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
355	@for dep in $?; do \
356	  case '$(am__configure_deps)' in \
357	    *$$dep*) \
358	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
359	        && { if test -f $@; then exit 0; else break; fi; }; \
360	      exit 1;; \
361	  esac; \
362	done; \
363	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
364	$(am__cd) $(top_srcdir) && \
365	  $(AUTOMAKE) --gnu doc/Makefile
366Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
367	@case '$?' in \
368	  *config.status*) \
369	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
370	  *) \
371	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
372	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
373	esac;
374
375$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
376	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
377
378$(top_srcdir)/configure:  $(am__configure_deps)
379	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
380$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
381	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
382$(am__aclocal_m4_deps):
383
384mostlyclean-libtool:
385	-rm -f *.lo
386
387clean-libtool:
388	-rm -rf .libs _libs
389install-man1: $(dist_man_MANS)
390	@$(NORMAL_INSTALL)
391	@list1=''; \
392	list2='$(dist_man_MANS)'; \
393	test -n "$(man1dir)" \
394	  && test -n "`echo $$list1$$list2`" \
395	  || exit 0; \
396	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
397	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
398	{ for i in $$list1; do echo "$$i"; done;  \
399	if test -n "$$list2"; then \
400	  for i in $$list2; do echo "$$i"; done \
401	    | sed -n '/\.1[a-z]*$$/p'; \
402	fi; \
403	} | while read p; do \
404	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
405	  echo "$$d$$p"; echo "$$p"; \
406	done | \
407	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
408	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
409	sed 'N;N;s,\n, ,g' | { \
410	list=; while read file base inst; do \
411	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
412	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
413	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
414	  fi; \
415	done; \
416	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
417	while read files; do \
418	  test -z "$$files" || { \
419	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
420	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
421	done; }
422
423uninstall-man1:
424	@$(NORMAL_UNINSTALL)
425	@list=''; test -n "$(man1dir)" || exit 0; \
426	files=`{ for i in $$list; do echo "$$i"; done; \
427	l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
428	  sed -n '/\.1[a-z]*$$/p'; \
429	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
430	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
431	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
432tags TAGS:
433
434ctags CTAGS:
435
436cscope cscopelist:
437
438@WITH_DOCBOOK_TRUE@dist-hook:
439distdir: $(BUILT_SOURCES)
440	$(MAKE) $(AM_MAKEFLAGS) distdir-am
441
442distdir-am: $(DISTFILES)
443	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
444	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
445	list='$(DISTFILES)'; \
446	  dist_files=`for file in $$list; do echo $$file; done | \
447	  sed -e "s|^$$srcdirstrip/||;t" \
448	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
449	case $$dist_files in \
450	  */*) $(MKDIR_P) `echo "$$dist_files" | \
451			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
452			   sort -u` ;; \
453	esac; \
454	for file in $$dist_files; do \
455	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
456	  if test -d $$d/$$file; then \
457	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
458	    if test -d "$(distdir)/$$file"; then \
459	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
460	    fi; \
461	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
462	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
463	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464	    fi; \
465	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
466	  else \
467	    test -f "$(distdir)/$$file" \
468	    || cp -p $$d/$$file "$(distdir)/$$file" \
469	    || exit 1; \
470	  fi; \
471	done
472	$(MAKE) $(AM_MAKEFLAGS) \
473	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
474	  dist-hook
475check-am: all-am
476check: check-am
477all-am: Makefile $(MANS)
478installdirs:
479	for dir in "$(DESTDIR)$(man1dir)"; do \
480	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
481	done
482install: install-am
483install-exec: install-exec-am
484install-data: install-data-am
485uninstall: uninstall-am
486
487install-am: all-am
488	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
489
490installcheck: installcheck-am
491install-strip:
492	if test -z '$(STRIP)'; then \
493	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
494	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
495	      install; \
496	else \
497	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
498	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
499	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
500	fi
501mostlyclean-generic:
502
503clean-generic:
504
505distclean-generic:
506	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
507	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
508
509maintainer-clean-generic:
510	@echo "This command is intended for maintainers to use"
511	@echo "it deletes files that may require special tools to rebuild."
512clean: clean-am
513
514clean-am: clean-generic clean-libtool clean-local mostlyclean-am
515
516distclean: distclean-am
517	-rm -f Makefile
518distclean-am: clean-am distclean-generic
519
520dvi: dvi-am
521
522dvi-am:
523
524html: html-am
525
526html-am:
527
528info: info-am
529
530info-am:
531
532install-data-am: install-man
533
534install-dvi: install-dvi-am
535
536install-dvi-am:
537
538install-exec-am:
539
540install-html: install-html-am
541
542install-html-am:
543
544install-info: install-info-am
545
546install-info-am:
547
548install-man: install-man1
549
550install-pdf: install-pdf-am
551
552install-pdf-am:
553
554install-ps: install-ps-am
555
556install-ps-am:
557
558installcheck-am:
559
560maintainer-clean: maintainer-clean-am
561	-rm -f Makefile
562maintainer-clean-am: distclean-am maintainer-clean-generic
563
564mostlyclean: mostlyclean-am
565
566mostlyclean-am: mostlyclean-generic mostlyclean-libtool
567
568pdf: pdf-am
569
570pdf-am:
571
572ps: ps-am
573
574ps-am:
575
576uninstall-am: uninstall-man
577
578uninstall-man: uninstall-man1
579
580.MAKE: install-am install-strip
581
582.PHONY: all all-am check check-am clean clean-generic clean-libtool \
583	clean-local cscopelist-am ctags-am dist-hook distclean \
584	distclean-generic distclean-libtool distdir dvi dvi-am html \
585	html-am info info-am install install-am install-data \
586	install-data-am install-dvi install-dvi-am install-exec \
587	install-exec-am install-html install-html-am install-info \
588	install-info-am install-man install-man1 install-pdf \
589	install-pdf-am install-ps install-ps-am install-strip \
590	installcheck installcheck-am installdirs maintainer-clean \
591	maintainer-clean-generic mostlyclean mostlyclean-generic \
592	mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
593	uninstall-am uninstall-man uninstall-man1
594
595.PRECIOUS: Makefile
596
597
598.PHONY: dist-hook  # not inside conditional to avoid automake warning
599
600@WITH_DOCBOOK_TRUE@xmlwf.1: xmlwf.xml
601@WITH_DOCBOOK_TRUE@	-rm -f $@
602@WITH_DOCBOOK_TRUE@	$(DOCBOOK_TO_MAN) $<
603@WITH_DOCBOOK_TRUE@	test -f $@ || mv XMLWF.1 $@
604@WITH_DOCBOOK_FALSE@dist-hook:
605@WITH_DOCBOOK_FALSE@	@echo 'ERROR: Configure with --with-docbook for "make dist".' 1>&2
606@WITH_DOCBOOK_FALSE@	@false
607
608# https://www.gnu.org/software/automake/manual/automake.html#What-Gets-Cleaned
609.PHONY: clean-local
610clean-local: clean-local-check
611
612.PHONY: clean-local-check
613clean-local-check:
614	$(RM) xmlwf.1
615
616# Tell versions [3.59,3.63) of GNU make to not export all variables.
617# Otherwise a system limit (for SysV at least) may be exceeded.
618.NOEXPORT:
619